Comment 12 for bug 1761140

Thanks for confirming. I have an updated package for xenial-queens in the following ppa:

add-apt-repository ppa:corey.bryant/xenial-queens

That will also need the queens cloud-archive enabled:

add-apt-repository cloud-archive:queens

If you're able to test that out it would be very helpful. This should fix the original error you were hitting, without having to install nova-common first.

Thanks,
Corey